<?php
/**
 * UserFrosting (http://www.userfrosting.com)
 *
 * @link      https://github.com/userfrosting/UserFrosting
 * @copyright Copyright (c) 2019 Alexander Weissman
 * @license   https://github.com/userfrosting/UserFrosting/blob/master/LICENSE.md (MIT License)
 */

/**
 * Portuguese message token translations for the 'core' sprinkle.
 *
 * @author Bruno Silva (brunomnsilva@gmail.com)
 */
return [
    '@PLURAL_RULE' => 1,

    'ABOUT' => 'Acerca',

    'CAPTCHA' => [
        '@TRANSLATION' => 'Captcha',
        'FAIL'         => 'Código captcha não introduzido corretamente.',
        'SPECIFY'      => 'Introduza o código captcha',
        'VERIFY'       => 'Verifique o código captcha'
    ],

    'CSRF_MISSING' => 'Token CSRF em falta.  Tente refrescar a página e submeter de novo?',

    'DB_INVALID'    => 'Não é possível estabelecer ligação com a base de dados.  Se é administrador, por favor consulte o log do servidor.',
    'DESCRIPTION'   => 'Descrição',
    'DOWNLOAD'      => [
        '@TRANSLATION' => 'Descarregar',
        'CSV'          => 'Descarregar CSV'
    ],

    'EMAIL' => [
        '@TRANSLATION' => 'Email',
        'YOUR'         => 'O seu endereço de email'
    ],

    'HOME'  => 'Início',

    'LEGAL' => 'Política Legal',

    'LOCALE' => [
        '@TRANSLATION' => 'Localização'
    ],

    'NAME'       => 'Nome',
    'NAVIGATION' => 'Navegação',

    'PAGINATION' => [
        'GOTO'   => 'Saltar para Página',
        'SHOW'   => 'Mostrar',
        'OUTPUT' => '{startRow} to {endRow} of {filteredRows} ({totalRows})'
    ],
    'PRIVACY' => 'Política de Privacidade',

    'SLUG'           => 'Slug',
    'SLUG_CONDITION' => 'Slug/Condições',
    'STATUS'         => 'Estado',

    'UNKNOWN' => 'Desconhecido',

    // Actions words
    'ACTIONS'                  => 'Ações',
    'ACTIVATE'                 => 'Ativar',
    'ACTIVE'                   => 'Ativo',
    'ADD'                      => 'Adicionar',
    'CANCEL'                   => 'Cancelar',
    'CONFIRM'                  => 'Confirmar',
    'CREATE'                   => 'Criar',
    'DELETE'                   => 'Remover',
    'DELETE_CONFIRM'           => 'Tem a certeza que deseja remover isto?',
    'DELETE_CONFIRM_YES'       => 'Sim, remover',
    'DELETE_CONFIRM_NAMED'     => 'Tem a certeza que deseja remover {{name}}?',
    'DELETE_CONFIRM_YES_NAMED' => 'Sim, remover {{name}}',
    'DELETE_CANNOT_UNDONE'     => 'Esta ação não pode ser desfeita.',
    'DELETE_NAMED'             => 'Remover {{name}}',
    'DENY'                     => 'Recusar',
    'DISABLE'                  => 'Desativar',
    'DISABLED'                 => 'Inativo',
    'EDIT'                     => 'Editar',
    'ENABLE'                   => 'Ativar',
    'ENABLED'                  => 'Ativo',
    'OVERRIDE'                 => 'Alterar',
    'RESET'                    => 'Apagar',
    'SAVE'                     => 'Guardar',
    'SEARCH'                   => 'Procurar',
    'SORT'                     => 'Ordenar',
    'SUBMIT'                   => 'Submeter',
    'PRINT'                    => 'Imprimir',
    'REMOVE'                   => 'Remover',
    'UNACTIVATED'              => 'Inativo',
    'UPDATE'                   => 'Atualizar',
    'YES'                      => 'Sim',
    'NO'                       => 'Não',
    'OPTIONAL'                 => 'Opcional',

    // Misc.
    'BUILT_WITH_UF'     => 'Desenvolvido sobre <a href="http://www.userfrosting.com">UserFrosting</a>',
    'ADMINLTE_THEME_BY' => 'Tema por <strong><a href="http://almsaeedstudio.com">Almsaeed Studio</a>.</strong> Todos os direitos reservados'
];
